pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]


On Thu, Aug 06, 2009 at 03:23:55PM +0200, Dirk H. Schulz wrote:
>> cvs up -dP in pkgsrc/ itself will update the tree to the head of the
>> currently active branch.
>> cvs up -A -dP will update to -current.
> Okay, I have used the first to update pkgsrc. But now  
> pkgsrc/mk/fetch/ is still 1.37:
> # $NetBSD:,v 1.37 2008/10/08 15:39:07 joerg Exp $

It means you are using the pkgsrc-2008Q4 branch. That one is outdated
and unsupported, e.g. you won't get security fixes.

> And the behaviour is still the same. Does it mean I have to accelerate  
> to -current to make pkgsrc use wget?

The documentation you are reading is applies to pkgsrc-2009Q2 and
-current. You should strongly consider switching to a supported branch.

> Or is there any other way to make pkgsrc use port 80? I do not want to  
> open up ftp ports additionally.

For the old branch, FETCH_CMD=wget should be working, not sure where
your problems come from. See above about being unsupported *g*


Home | Main Index | Thread Index | Old Index